Bug 854287 - With ldap enabled, when logging in with admin I would like to have access to administer all aspects of my deployment - even when NO Organization is selected
With ldap enabled, when logging in with admin I would like to have access to ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks: 854288
  Show dependency treegraph
 
Reported: 2012-09-04 10:54 EDT by Eric Sammons
Modified: 2013-03-27 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 854288 (view as bug list)
Environment:
Last Closed: 2012-10-03 11:11:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Manage org failure (24.12 KB, image/png)
2012-09-04 10:54 EDT, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-09-04 10:54:56 EDT
Created attachment 609712 [details]
Manage org failure

Description of problem:
With ldap enabled, logged in as admin I may find that my current organization is set to "Select an organization".  This should not be a issue as I am admin and thus have access to all.  However, it has been discovered that until an organization is selected (the select org drop down is populated) admin privileges are limited.

For example, I am unable to select Manage Organizations, I am unable to create a user and assign that user to a default org with a default environment (the environment ribbon is not populated.

Version-Release number of selected component (if applicable):
katello-common-1.1.8-1.git.19.fc6b1f1.fc16.noarch

Steps to Reproduce:
1. Navigate to your katello deployment
2. Login as admin 
3. Navigate to Administer/Manage Organizations
  
Actual results:
403 - Permission denied

Expected results:
At this point, as admin of all, I should see my tupane view with all organizations on the left and help / deetails on the right.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.